org.apache.uima.cas_data.impl

## Class CasDataUtils

- java.lang.Object
- - org.apache.uima.cas_data.impl.CasDataUtils

-     public class CasDataUtils
      extends Object

  Some utilities for dealing with CasData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CasDataUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dumpFeatures(CasData aCAS)`
    `static NameValuePair[]` | `getCasDataFeatures(CasData aCasData, String aFeatureStructureName)`
    `static String[]` | `getFeatureStructureValues(CasData aCAS, String featureStructureName, String featureName)`
    `static String` | `getFeatureValueByType(CasData aCAS, String featureName)`
    `static String` | `getFeatureValueByType(CasData aCAS, String aFeatureStructure, String featureName)`
    `static boolean` | `hasFeature(CasData aCAS, String featureName)`
    `static boolean` | `hasFeatureStructure(CasData aCAS, String aName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CasDataUtils

          public CasDataUtils()

  - ### Method Detail

    - #### hasFeature

          public static boolean hasFeature(CasData aCAS,
                                           String featureName)

    - #### hasFeatureStructure

          public static boolean hasFeatureStructure(CasData aCAS,
                                                    String aName)

    - #### dumpFeatures

          public static void dumpFeatures(CasData aCAS)

    - #### getFeatureValueByType

          public static String getFeatureValueByType(CasData aCAS,
                                                     String featureName)

    - #### getFeatureStructureValues

          public static String[] getFeatureStructureValues(CasData aCAS,
                                                           String featureStructureName,
                                                           String featureName)

    - #### getFeatureValueByType

          public static String getFeatureValueByType(CasData aCAS,
                                                     String aFeatureStructure,
                                                     String featureName)

    - #### getCasDataFeatures

          public static NameValuePair[] getCasDataFeatures(CasData aCasData,
                                                           String aFeatureStructureName)

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.